{include="header"}

{if="$fsc->articulo"}
<script type="text/javascript">
   function cambiar_pvp()
   {
      var coste = parseFloat( $("#coste").val() );
      var iva = parseFloat( $("#iva").val() );
      var pvp = parseFloat( $("#pvp").val() );
      $("#pvpi").val( pvp * (100 + iva)/100 );

      var margen = 0;
      if(coste > 0)
      {
         margen = (pvp*100)/coste - 100;
      }

      $("#margen").val(margen);
   }
   function cambiar_pvpi()
   {
      var coste = parseFloat( $("#coste").val() );
      var iva = parseFloat( $("#iva").val() );
      var pvpi = parseFloat( $("#pvpi").val() );

      var pvp = (100 * pvpi) / (100 + iva);
      $("#pvp").val(pvp);

      var margen = 0;
      if(coste > 0)
      {
         margen = (pvp*100)/coste - 100;
      }

      $("#margen").val(margen);
   }
   function cambiar_margen()
   {
      var iva = parseFloat( $("#iva").val() );
      var coste = parseFloat( $("#coste").val() );
      var margen = parseFloat( $("#margen").val() );

      if( !isNaN(margen) && isFinite(margen) )
      {
         var pvp = coste*(100 + margen)/100;
         $("#pvp").val(pvp);
         $("#pvpi").val( pvp * (100 + iva)/100 );
      }
   }
   function calcular_margen()
   {
      var coste = parseFloat( $("#coste").val() );
      var pvp = parseFloat( $("#pvp").val() );

      var margen = 0;
      if(coste > 0)
      {
         margen = (pvp*100)/coste - 100;
      }

      $("#margen").val(margen);
   }
   function delete_combinacion(cod)
   {
      if( confirm("¿Realmente desea eliminar la combinacion "+cod+"?") )
      {
         window.location.href = '{$fsc->url()}&delete_combi='+cod+'#atributos';
      }
   }
   $(document).ready(function() {
      calcular_margen();

      if(window.location.hash.substring(1) == 'precios')
      {
         $('#tab_articulo a[href="#precios"]').tab('show');
      }
      else if(window.location.hash.substring(1) == 'stock')
      {
         $('#tab_articulo a[href="#stock"]').tab('show');
      }
      else if(window.location.hash.substring(1) == 'atributos')
      {
         $('#tab_articulo a[href="#atributos"]').tab('show');
      }

      $("#b_eliminar_articulo").click(function(event) {
         event.preventDefault();
         {if="$fsc->articulo->publico"}
         alert('Este artículo es público. Si estas seguro de que quieres eliminarlo, desmarcalo como público, guarda y pulsa eliminar.');
         {else}
         if( confirm("¿Estas seguro de que deseas eliminar este articulo?") )
         {
            window.location.href = "index.php?page=ventas_articulos&delete={function="urlencode($fsc->articulo->referencia)"}";
         }
         {/if}
      });
      $("#b_imagen").click(function(event) {
         event.preventDefault();
         $("#modal_articulo_imagen").modal('show');
      });
      $('#b_regularizaciones').click(function(event) {
         event.preventDefault();
         $("#b_movimientos").removeClass('active');
         $("#b_regularizaciones").addClass('active');
         $("#table_movimientos").hide();
         $("#table_regularizaciones").show();
      });
      $('#b_movimientos').click(function(event) {
         event.preventDefault();
         $("#b_movimientos").addClass('active');
         $("#b_regularizaciones").removeClass('active');
         $("#table_movimientos").show();
         $("#table_regularizaciones").hide();
      });
   });
</script>

<div class="container-fluid" style="margin-top: 10px; margin-bottom: 10px;">
   <div class="row">
      <div class="col-xs-7">
         <div class="btn-group">
            <a href="index.php?page=ventas_articulos" class="btn btn-sm btn-default">
               <span class="glyphicon glyphicon-arrow-left"></span>
               <span class="hidden-xs">&nbsp; Todos</span>
            </a>
            <a href="{$fsc->url()}" class="btn btn-sm btn-default hidden-xs" title="Recargar la página">
               <span class="glyphicon glyphicon-refresh"></span>
            </a>
         </div>
         <div class="btn-group">
            <a href="#" id="b_imagen" class="btn btn-sm btn-default">
               <span class="glyphicon glyphicon-picture"></span>
               <span class="hidden-xs">&nbsp; Imagen</span>
            </a>
            {if="$fsc->articulo->trazabilidad"}
            <a href="index.php?page=articulo_trazabilidad&ref={function="urlencode($fsc->articulo->referencia)"}" class="btn btn-sm btn-default">
               <i class="fa fa-code-fork" aria-hidden="true"></i>
               <span class="hidden-xs">&nbsp; Trazabilidad</span>
            </a>
            {/if}
         </div>
         <div class="btn-group">
         {loop="$fsc->extensions"}
            {if="$value->type=='button'"}
            <a href="index.php?page={$value->from}&ref={function="urlencode($fsc->articulo->referencia)"}{$value->params}" class="btn btn-sm btn-default">
               {$value->text}
            </a>
            {elseif="$value->type=='modal'"}
            <!--{$txt=base64_encode($value->text)}-->
            <!--{$url='index.php?page='.$value->from.'&ref='.urlencode($fsc->articulo->referencia).$value->params}-->
            <a href="#" class="btn btn-sm btn-default" onclick="fs_modal('{$txt}','{$url}')">{$value->text}</a>
            {/if}
         {/loop}
         </div>
      </div>
      <div class="col-xs-5 text-right">
         <a class="btn btn-sm btn-success" href="index.php?page=ventas_articulos&b_codfamilia={$fsc->articulo->codfamilia}&b_codfabricante={$fsc->articulo->codfabricante}#nuevo" title="Nuevo artículo">
            <span class="glyphicon glyphicon-plus"></span>
         </a>
         {if="$fsc->allow_delete"}
         <a href="#" id="b_eliminar_articulo" class="btn btn-sm btn-danger">
            <span class="glyphicon glyphicon-trash"></span>
            <span class="hidden-xs">&nbsp; Eliminar</span>
         </a>
         {/if}
      </div>
   </div>
</div>

<div id="tab_articulo" role="tabpanel">
   <ul class="nav nav-tabs" role="tablist">
      <li role="presentation" class="active">
         <a href="#home" aria-controls="home" role="tab" data-toggle="tab">
            <span class="glyphicon glyphicon-eye-open" aria-hidden="true"></span>
            <span class="hidden-xs">&nbsp; {$fsc->articulo->referencia}</span>
         </a>
      </li>
      {if="$fsc->mostrar_tab_atributos"}
      <li role="presentation">
         <a href="#atributos" aria-controls="atributos" role="tab" data-toggle="tab">
            <span class="glyphicon glyphicon-list-alt" aria-hidden="true"></span>
            <span class="hidden-xs">&nbsp; Atributos</span>
         </a>
      </li>
      {/if}
      {if="$fsc->mostrar_tab_precios"}
      <li role="presentation">
         <a href="#precios" aria-controls="precios" role="tab" data-toggle="tab">
            <span class="glyphicon glyphicon-usd" aria-hidden="true"></span>
            <span class="hidden-xs">&nbsp; Precios</span>
         </a>
      </li>
      {/if}
      {if="$fsc->mostrar_tab_stock"}
      <li role="presentation">
         <a href="#stock" aria-controls="stock" role="tab" data-toggle="tab">
            <span class="glyphicon glyphicon-tasks" aria-hidden="true"></span>
            <span class="hidden-xs">&nbsp; Stock</span>
         </a>
      </li>
      {/if}
      {if="$fsc->equivalentes"}
      <li role="presentation">
         <a href="#equivalentes" aria-controls="equivalentes" role="tab" data-toggle="tab">
            <span class="glyphicon glyphicon-random" aria-hidden="true"></span>
            <span class="hidden-xs">&nbsp; Equivalentes</span>
         </a>
      </li>
      {/if}
      {loop="$fsc->extensions"}
         {if="$value->type=='tab'"}
         <li role="presentation">
            <a href="#ext_{$value->name}" aria-controls="ext_{$value->name}" role="tab" data-toggle="tab">{$value->text}</a>
         </li>
         {/if}
      {/loop}
      <li class="dropdown">
         <a href="#" class="dropdown-toggle" data-toggle="dropdown">
            <span class="glyphicon glyphicon-search" aria-hidden="true"></span>
            <span class="hidden-xs">&nbsp; Buscar en...</span>
            <span class="caret"></span>
         </a>
         <ul class="dropdown-menu" role="menu">
         {loop="$fsc->extensions"}
            {if="$value->type=='tab_button'"}
            <li>
               <a href="index.php?page={$value->from}&ref={function="urlencode($fsc->articulo->referencia)"}{$value->params}">
                  {$value->text}
               </a>
            </li>
            {/if}
         {/loop}
         </ul>
      </li>
   </ul>
   <div class="tab-content">
      <div role="tabpanel" class="tab-pane active" id="home">
         <form action="{$fsc->url()}" method="post" class="post">
            <input type="hidden" name="referencia" value="{$fsc->articulo->referencia}"/>
            <div class="container-fluid">
               <div class="row" style="padding-top: 10px;">
                  <div class="col-sm-3">
                     <div class="form-group">
                        Referencia:
                        <input class="form-control" type="text" name="nreferencia" value="{$fsc->articulo->referencia}" maxlength="18" autocomplete="off"/>
                     </div>
                     <div class="form-group">
                        Tipo:
                        <select name="tipo" class="form-control" onchange="this.form.submit()">
                           <option value="">Producto simple</option>
                           {if="$fsc->hay_atributos"}
                           <option value="atributos"{if="$fsc->articulo->tipo=='atributos'"} selected=""{/if}>Producto con atributos</option>
                           {/if}
                           {loop="$fsc->extensions"}
                              {if="$value->type=='tipo_art'"}
                              <option value="{$value->params}"{if="$fsc->articulo->tipo==$value->params"} selected=""{/if}>{$value->text}</option>
                              {/if}
                           {/loop}
                        </select>
                     </div>
                  </div>
                  <div class="col-sm-9">
                     <div class="form-group">
                        Descripción:
                        <textarea name="descripcion" class="form-control" rows="4">{$fsc->articulo->descripcion}</textarea>
                     </div>
                  </div>
               </div>
               <div class="row">
                  <div class="col-sm-3">
                     <div class="form-group">
                        <a href="{$fsc->familia->url()}">Familia</a>:
                        <select class="form-control" name="codfamilia">
                           <option value="">Ninguna</option>
                           <option value="">-------</option>
                           {loop="$fsc->familia->all()"}
                              {if="$value->codfamilia===$fsc->articulo->codfamilia"}
                              <option value="{$value->codfamilia}" selected="">{$value->nivel}{$value->descripcion}</option>
                              {else}
                              <option value="{$value->codfamilia}">{$value->nivel}{$value->descripcion}</option>
                              {/if}
                           {/loop}
                        </select>
                     </div>
                  </div>
                   <div class="col-sm-2">
                     <div class="form-group">
                        <a href="{$fsc->fabricante->url()}">Fabricante</a>:
                        <select class="form-control" name="codfabricante">
                           <option value="">Ninguno</option>
                           <option value="">-------</option>
                           {loop="$fsc->fabricante->all()"}
                              {if="$value->codfabricante===$fsc->articulo->codfabricante"}
                              <option value="{$value->codfabricante}" selected="">{$value->nombre}</option>
                              {else}
                              <option value="{$value->codfabricante}">{$value->nombre}</option>
                              {/if}
                           {/loop}
                        </select>
                     </div>
                  </div>
                  <div class="col-sm-2">
                     <div class="form-group">
                        Código de barras:
                        <div class="input-group">
                           <span class="input-group-addon">
                              <span class="glyphicon glyphicon-barcode" aria-hidden="true"></span>
                           </span>
                           <input class="form-control" type="text" name="codbarras" value="{$fsc->articulo->codbarras}" autocomplete="off"/>
                        </div>
                     </div>
                  </div>
                  <div class="col-sm-2">
                     <div class="form-group">
                        PartNumber:
                        <div class="input-group">
                           <span class="input-group-addon">
                              <span class="glyphicon glyphicon-tag" aria-hidden="true"></span>
                           </span>
                           <input class="form-control" type="text" name="partnumber" value="{$fsc->articulo->partnumber}" autocomplete="off"/>
                        </div>
                     </div>
                  </div>
                  <div class="col-sm-3">
                     <div class="form-group">
                        Código de equivalencia:
                        <input class="form-control" type="text" name="equivalencia" value="{$fsc->articulo->equivalencia}" autocomplete="off"/>
                        <p class="help-block">Dos o más artículos son equivalentes si tienen el mismo código de equivalencia.</p>
                     </div>
                  </div>
               </div>
               <div class="row">
                  <div class="col-sm-3">
                     <div class="form-group">
                        Stock:
                        <input class="form-control" type="text" name="stockfis" value="{$fsc->articulo->stockfis}" disabled="disabled"/>
                        <label>
                           <input type="checkbox" name="nostock" value="TRUE"{if="$fsc->articulo->nostock"} checked=""{/if}/>
                           No controlar stock
                        </label>
                     </div>
                  </div>
                  <div class="col-sm-2">
                     <div class="form-group">
                        Stock mínimo:
                        <input class="form-control" type="number" name="stockmin" value="{$fsc->articulo->stockmin}" autocomplete="off"/>
                     </div>
                  </div>
                  <div class="col-sm-2">
                     <div class="form-group">
                        Stock máximo:
                        <input class="form-control" type="number" name="stockmax" value="{$fsc->articulo->stockmax}" autocomplete="off"/>
                     </div>
                  </div>
                  <div class="col-sm-2">
                     <div class="checkbox">
                        <label>
                           <input type="checkbox" name="secompra" value="TRUE"{if="$fsc->articulo->secompra"} checked=""{/if}/>
                           Se compra
                        </label>
                     </div>
                     <div class="checkbox">
                        <label>
                           <input type="checkbox" name="sevende" value="TRUE"{if="$fsc->articulo->sevende"} checked=""{/if}/>
                           Se vende
                        </label>
                     </div>
                     <div class="checkbox">
                        <label>
                           <input type="checkbox" name="controlstock" value="TRUE"{if="$fsc->articulo->controlstock"} checked=""{/if}/>
                           Permitir ventas sin stock
                        </label>
                     </div>
                  </div>
                  <div class="col-sm-3">
                     <div class="checkbox">
                        <label>
                           <input type="checkbox" name="trazabilidad" value="TRUE"{if="$fsc->articulo->trazabilidad"} checked=""{/if}/>
                           <i class="fa fa-code-fork" aria-hidden="true"></i> Trazabilidad / números de serie
                        </label>
                     </div>
                     <div class="checkbox">
                        <label>
                           <input type="checkbox" name="bloqueado" value="TRUE"{if="$fsc->articulo->bloqueado"} checked=""{/if}/>
                           <span class="glyphicon glyphicon-lock" aria-hidden="true"></span> Bloqueado / Obsoleto
                        </label>
                     </div>
                     {if="$fsc->mostrar_boton_publicar"}
                     <div class="checkbox">
                        <label title="Sincronizar con tienda online (si está disponible)">
                           <input type="checkbox" name="publico" value="TRUE"{if="$fsc->articulo->publico"} checked=""{/if}/>
                           <span class="glyphicon glyphicon-globe" aria-hidden="true"></span> Público
                        </label>
                     </div>
                     {elseif="$fsc->articulo->publico"}
                     <input type="hidden" name="publico" value="TRUE"/>
                     {/if}
                  </div>
               </div>
               <div class="row">
                  <div class="col-sm-10">
                     <div class="form-group">
                        Observaciones:
                        <textarea class="form-control" name="observaciones" rows="3">{$fsc->articulo->observaciones}</textarea>
                     </div>
                  </div>
                  <div class="col-sm-2 text-right">
                     <button class="btn btn-sm btn-primary" type="submit" onclick="this.disabled=true;this.form.submit();">
                        <span class="glyphicon glyphicon-floppy-disk"></span> &nbsp; Guardar
                     </button>
                  </div>
               </div>
            </div>
         </form>
      </div>
      {if="$fsc->mostrar_tab_atributos"}
      <div role="tabpanel" class="tab-pane" id="atributos">
         <div class="table-responsive">
            <table class="table table-hover">
               <thead>
                  <tr>
                     <th width="100">Código</th>
                     <th>Combinación</th>
                     <th width="200" class="text-right">Impacto en el precio</th>
                     <th width="120"></th>
                  </tr>
               </thead>
               {loop="$fsc->combinaciones()"}
               <form action="{$fsc->url()}#atributos" method="post" class="form">
                  <input type="hidden" name="editar_combi" value="{$value->codigo}"/>
                  <tr>
                     <td><div class="form-control">{$value->codigo}</div></td>
                     <td><div class="form-control">{$value->txt}</div></td>
                     <td>
                        <div class="input-group">
                           <input type="number" step="any" name="impactoprecio" value="{$value->impactoprecio}" class="form-control text-right" autocomplete="off" required=""/>
                           <span class="input-group-addon">{$fsc->simbolo_divisa()}</span>
                        </div>
                     </td>
                     <td class="text-right">
                        <div class="btn-group">
                           {if="$fsc->allow_delete"}
                           <a href="#" class="btn btn-sm btn-danger" onclick="delete_combinacion('{$value->codigo}')">
                              <span class="glyphicon glyphicon-trash"></span>
                           </a>
                           {/if}
                           <button class="btn btn-sm btn-primary" type="submit" title="Guardar">
                              <span class="glyphicon glyphicon-floppy-disk"></span>
                           </button>
                        </div>
                     </td>
                  </tr>
               </form>
               {else}
               <tr class="warning">
                  <td colspan="4">Sin resultados.</td>
               </tr>
               {/loop}
            </table>
         </div>
         <form action="{$fsc->url()}#atributos" method="post" class="form">
            <input type="hidden" name="nueva_combi" value="TRUE"/>
            <div class="container-fluid">
               <div class="row">
                  <div class="col-sm-6 col-sm-offset-3">
                     <div class="panel panel-info">
                        <div class="panel-heading">
                           <h3 class="panel-title">Nueva combinación</h3>
                        </div>
                        <div class="panel-body">
                           <div class="row">
                              <div class="col-sm-6">
                                 {loop="$fsc->atributos()"}
                                 <div class="form-group">
                                    <a href="{$value->url()}">{$value->nombre}</a>
                                    <select name="idvalor_{$counter}" class="form-control">
                                       <option value="">Ninguno</option>
                                       <option value="">------</option>
                                       {loop="$value->valores()"}
                                       <option value="{$value2->id}">{$value2->valor}</option>
                                       {/loop}
                                    </select>
                                 </div>
                                 {/loop}
                              </div>
                              <div class="col-sm-6">
                                 <div class="form-group">
                                    Impacto en el precio:
                                    <div class="input-group">
                                       <input type="number" step="any" class="form-control text-right" name="impactoprecio" value="0" autocomplete="off" required=""/>
                                       <span class="input-group-addon">{$fsc->simbolo_divisa()}</span>
                                    </div>
                                    <p class="help-block">
                                       Se le sumará al precio del artículo. Si quieres que reste
                                       pon un menos delante del número.
                                    </p>
                                 </div>
                                 <div class="text-right">
                                    <br/>
                                    <button class="btn btn-sm btn-primary" type="submit">
                                       <span class="glyphicon glyphicon-floppy-disk"></span>&nbsp; Guardar
                                    </button>
                                 </div>
                              </div>
                           </div>
                        </div>
                     </div>
                  </div>
               </div>
            </div>
         </form>
      </div>
      {/if}
      {if="$fsc->mostrar_tab_precios"}
      <div role="tabpanel" class="tab-pane" id="precios">
         <form action="{$fsc->url()}#precios" method="post" class="form">
            <input type="hidden" name="referencia" value="{$fsc->articulo->referencia}"/>
            <input type="hidden" id="iva" name="iva" value="{$fsc->articulo->get_iva()}"/>
            <div class="container-fluid" style="margin-top: 10px;">
               <div class="row">
                  <div class="col-sm-4">
                     <div class="form-group">
                        Precio:
                        <div class="input-group">
                           <span class="input-group-addon">{$fsc->simbolo_divisa()}</span>
                           <input type="text" class="form-control" id="pvp" name="pvp" value="{$fsc->articulo->pvp}" autocomplete="off" onkeyup="cambiar_pvp()" onclick="this.select()"/>
                        </div>
                        <p class="help-block">
                           El precio se guarda con <b>{#FS_NF0_ART#} decimales</b>.
                           Puedes cambiarlo desde el <a href="index.php?page=admin_home#avanzado">panel de control</a>.
                        </p>
                     </div>
                  </div>
                  <div class="col-sm-4">
                     <div class="form-group">
                        <a href="{$fsc->impuesto->url()}">{#FS_IVA#}</a>:
                        <select class="form-control" name="codimpuesto" onchange="this.form.submit()">
                        {loop="$fsc->impuesto->all()"}
                           {if="$value->codimpuesto==$fsc->articulo->codimpuesto"}
                           <option value="{$value->codimpuesto}" selected="">{$value->descripcion}</option>
                           {else}
                           <option value="{$value->codimpuesto}">{$value->descripcion}</option>
                           {/if}
                        {/loop}
                        </select>
                     </div>
                  </div>
                  <div class="col-sm-4">
                     <div class="form-group">
                        Precio+{#FS_IVA#}:
                        <div class="input-group">
                           <input type="text" class="form-control" id="pvpi" name="pvpiva" value="{$fsc->articulo->pvp_iva()}" autocomplete="off" onkeyup="cambiar_pvpi()" onclick="this.select()"/>
                           <span class="input-group-addon" title="precio redondeado">{$fsc->show_precio($fsc->articulo->pvp_iva())}</span>
                        </div>
                        <p class="help-block">Último cambio de precio: {$fsc->articulo->factualizado}</p>
                     </div>
                  </div>
               </div>
               <div class="row">
                  <div class="col-sm-4">
                     <div class="form-group">
                        Precio de Coste:
                        {if="$fsc->articulo->secompra AND FS_COST_IS_AVERAGE"}
                        <input type="text" name="coste" id="coste" class="form-control" value="{$fsc->articulo->preciocoste()}" disabled="disabled">
                        {else}
                        <input type="text" name="preciocoste" id="coste" class="form-control" value="{$fsc->articulo->preciocoste()}" onclick="this.select()" autocomplete="off">
                        {/if}
                        <p class="help-block">
                           Puede cambiar la configuración de precio de coste desde
                           la configuración del <a href="index.php?page=admin_almacenes">almacén</a>.
                        </p>
                     </div>
                  </div>
                  <div class="col-sm-4">
                     <div class="form-group">
                        Margen sobre precio de coste
                        <div class="input-group">
                           <span class="input-group-addon">%</span>
                           <input type="text" class="form-control" id="margen" name="margen" value="0" autocomplete="off" onkeyup="cambiar_margen()" onclick="this.select()"/>
                        </div>
                        <p class="help-block">Sirve para calcular el Precio, pero no se almacena (todavía).</p>
                     </div>
                  </div>
                  <div class="col-sm-4">
                     <div class="hidden-xs"><br/></div>
                     <button class="btn btn-sm btn-primary" type="submit" onclick="this.disabled=true;this.form.submit();">
                        <span class="glyphicon glyphicon-floppy-disk"></span> &nbsp; Guardar
                     </button>
                     <div class="visible-xs"><br/></div>
                  </div>
               </div>
            </div>
            <div>
               <ul class="nav nav-tabs" role="tablist">
                  <li role="presentation" class="active">
                     <a href="#tarifas" aria-controls="tarifas" role="tab" data-toggle="tab">Tarifas</a>
                  </li>
                  <li role="presentation">
                     <a href="#proveedores" aria-controls="proveedores" role="tab" data-toggle="tab">Proveedores</a>
                  </li>
               </ul>
               <div class="tab-content">
                  <div role="tabpanel" class="tab-pane active" id="tarifas">
                     <div class="table-responsive">
                        <table class="table table-hover">
                           <thead>
                              <tr>
                                 <th colspan="2" class="text-left">Tarifa</th>
                                 <th class="text-left">Aplicar</th>
                                 <th class="text-right">Nuevo Precio</th>
                                 <th class="text-right">Nuevo Precio+{#FS_IVA#}</th>
                              </tr>
                           </thead>
                           {loop="$fsc->get_tarifas()"}
                           <tr>
                              <td width="120"><div class="form-control"><a href="{$value->tarifa_url}">{$value->codtarifa}</a></div></td>
                              <td><div class="form-control">{$value->tarifa_nombre}</div></td>
                              <td><div class="form-control">{$value->tarifa_diff}</div></td>
                              <td class="text-right">
                                 <div class="form-control">{$fsc->show_precio($value->pvp*(100 - $value->dtopor)/100)}</div>
                              </td>
                              <td class="text-right">
                                 <div class="form-control">{$fsc->show_precio($value->pvp*(100 - $value->dtopor)/100*(100 + $value->get_iva())/100)}</div>
                              </td>
                           </tr>
                           {else}
                           <tr class="warning">
                              <td colspan="5">No hay tarifas definidas.</td>
                           </tr>
                           {/loop}
                        </table>
                     </div>
                     <div class="container-fluid">
                        <div class="row">
                           <div class="col-xs-12">
                              <a class="btn btn-sm btn-success" href="index.php?page=ventas_articulos#tarifas">
                                 <span class="glyphicon glyphicon-edit"></span> &nbsp; Nueva tarifa
                              </a>
                           </div>
                        </div>
                     </div>
                  </div>
                  <div role="tabpanel" class="tab-pane" id="proveedores">
                     <div class="table-responsive">
                        <table class="table table-hover">
                           <thead>
                              <tr>
                                 <th>Proveedor</th>
                                 <th>Ref. Proveedor</th>
                                 <th class="text-right">Precio</th>
                                 <th class="text-right">Descuento</th>
                                 <th class="text-right">Total+{#FS_IVA#}</th>
                                 <th class="text-right">Stock</th>
                              </tr>
                           </thead>
                           {loop="$fsc->get_articulo_proveedores()"}
                           <tr>
                              <td><a href="{$value->url_proveedor()}">{$value->nombre_proveedor()}</a></td>
                              <td>{$value->refproveedor}</td>
                              <td class="text-right">{$fsc->show_precio($value->precio)}</td>
                              <td class="text-right">{$fsc->show_numero($value->dto)} %</td>
                              <td class="text-right">{$fsc->show_precio($value->total_iva())}</td>
                              <td class="text-right">
                                 {if="$value->nostock"}-{else}{$value->stock}{/if}
                              </td>
                           </tr>
                           {else}
                           <tr><td colspan="6" class="warning">Sin resultados.</td></tr>
                           {/loop}
                        </table>
                     </div>
                     <div class="container-fluid">
                        <div class="row">
                           <div class="col-sm-12">
                              <p class="help-block">
                                 Estos son los proveedores a los que has comprado este producto,
                                 sus referencias, su último precio y descuento, y su stock,
                                 si lo ofrecen.
                              </p>
                           </div>
                        </div>
                     </div>
                  </div>
               </div>
            </div>
         </form>
      </div>
      {/if}
      {if="$fsc->mostrar_tab_stock"}
      <div role="tabpanel" class="tab-pane" id="stock">
         <div class="table-responsive">
            <table class="table table-hover">
               <thead>
                  <tr>
                     <th class="text-left">Almacén</th>
                     <th class="text-left">Ubicación</th>
                     <th class="text-right" width="120">Cantidad actual</th>
                     <th class="text-right" width="120">Nueva cantidad</th>
                     <th class="text-left">Motivo</th>
                     <th class="text-right">Acción</th>
                  </tr>
               </thead>
               {loop="$fsc->stocks"}
               <tr>
                  <form action="{$fsc->url()}#stock" method="post" class="form">
                     <input type="hidden" name="idstock" value="{$value->idstock}"/>
                     <input type="hidden" name="almacen" value="{$value->codalmacen}"/>
                     <input type="hidden" name="referencia" value="{$fsc->articulo->referencia}"/>
                     <input type="hidden" name="cantidadini" value="{$value->cantidad}"/>
                     <td><div class="form-control">{$value->nombre()}</div></td>
                     <td>
                        <input type="text" class="form-control" name="ubicacion" value="{$value->ubicacion}" placeholder="dentro del almacén..." autocomplete="off"/>
                     </td>
                     <td><div class="form-control text-right">{$value->cantidad}</div></td>
                     <td><input type="number" step="any" class="form-control text-right" name="cantidad" value="{$value->cantidad}" autocomplete="off"/></td>
                     <td><input type="text" class="form-control" name="motivo" placeholder="Escribe el motivo del cambio"/></td>
                     <td class="text-right">
                        <button class="btn btn-sm btn-primary" type="submit" title="Guardar" onclick="this.disabled=true;this.form.submit();">
                           <span class="glyphicon glyphicon-floppy-disk"></span>
                        </button>
                     </td>
                  </form>
               </tr>
               {/loop}
               {if="$fsc->nuevos_almacenes"}
               <tr class="info">
                  <form action="{$fsc->url()}#stock" method="post" class="form">
                     <input type="hidden" name="referencia" value="{$fsc->articulo->referencia}"/>
                     <input type="hidden" name="cantidadini" value="0"/>
                     <td>
                        <select class="form-control" name="almacen">
                           {loop="$fsc->nuevos_almacenes"}
                           <option value="{$value->codalmacen}">{$value->nombre}</option>
                           {/loop}
                        </select>
                     </td>
                     <td>
                        <input type="text" class="form-control" name="ubicacion" placeholder="dentro del almacén..." autocomplete="off"/>
                     </td>
                     <td><div class="form-control text-right">0</div></td>
                     <td><input class="form-control text-right" type="number" step="any" name="cantidad" value="0" autocomplete="off"/></td>
                     <td><input type="text" class="form-control" name="motivo" placeholder="Escribe el motivo del cambio"/></td>
                     <td class="text-right">
                        <button class="btn btn-sm btn-primary" type="submit" title="Guardar" onclick="this.disabled=true;this.form.submit();">
                           <span class="glyphicon glyphicon-floppy-disk"></span>
                        </button>
                     </td>
                  </form>
               </tr>
               {/if}
            </table>
         </div>
         <div class="container-fluid">
            <div class="row">
               <div class="col-sm-6">
                  <div class="btn-group">
                     <button type="button" id="b_movimientos" class="btn btn-sm btn-default active">
                        <span class="glyphicon glyphicon-transfer"></span>
                        &nbsp; Movimientos
                     </button>
                     <button type="button" id="b_regularizaciones" class="btn btn-sm btn-default">Regularizaciones</button>
                  </div>
               </div>
               <div class="col-sm-6 text-right">
                  <a href="#" class="btn btn-sm btn-warning" data-toggle="modal" data-target="#modal_recal_stock">
                     <span class="glyphicon glyphicon-wrench"></span>
                     &nbsp; Recalcular stock
                  </a>
               </div>
            </div>
         </div>
         <div class="table-responsive" style="margin-top: 10px;">
            <table id="table_movimientos" class="table table-hover">
               <thead>
                  <tr>
                     <th>Orígen</th>
                     <th class="text-right">Movimiento</th>
                     <th class="text-right">Cantidad final</th>
                     <th class="text-right">
                        Fecha
                        <span class="glyphicon glyphicon-sort-by-attributes" aria-hidden="true"></span>
                     </th>
                     <th class="text-right">Hora</th>
                  </tr>
               </thead>
               {loop="$fsc->get_movimientos()"}
               <tr class='clickableRow{if="$value['movimiento']=='-'"} warning{elseif="$value['movimiento']>0"} success{else} danger{/if}' href='{$value['url']}'>
                  <td>
                     {$value['codalmacen']} - <a href="{$value['url']}">{$value['origen']}</a>
                  </td>
                  <td class="text-right">
                     {if="$value['movimiento']>0"}+{/if}{$value['movimiento']}
                  </td>
                  <td class="text-right">{$value['final']}</td>
                  <td class="text-right">{$value['fecha']}</td>
                  <td class="text-right">{$value['hora']}</td>
               </tr>
               {else}
               <tr>
                  <td colspan="5" class="warning">Sin resultados.</td>
               </tr>
               {/loop}
               <tr>
                  <td colspan="2"></td>
                  <td class="text-right"><b>{$fsc->articulo->stockfis}</b></td>
                  <td colspan="2"></td>
               </tr>
            </table>
            <table id="table_regularizaciones" class="table table-hover" style="display: none;">
               <thead>
                  <tr>
                     <th class="text-left">Usuario</th>
                     <th class="text-left">Motivo</th>
                     <th class="text-right">Cantidad inicial</th>
                     <th class="text-right">Cantidad final</th>
                     <th class="text-right">Fecha</th>
                     <th class="text-right">Hora</th>
                     <th></th>
                  </tr>
               </thead>
               {loop="$fsc->regularizaciones"}
               <tr{if="$value->cantidadfin<$value->cantidadini"} class="danger"{/if}>
                  <td>{$value->nick}</td>
                  <td>{$value->motivo}</td>
                  <td class="text-right">{$value->cantidadini}</td>
                  <td class="text-right">{$value->cantidadfin}</td>
                  <td class="text-right">{$value->fecha}</td>
                  <td class="text-right">{$value->hora}</td>
                  <td>
                     {if="$fsc->allow_delete"}
                     <a href="{$fsc->url()}&deletereg={$value->id}#stock" title="Eliminar la regularización">
                        <span class="glyphicon glyphicon-trash" aria-hidden="true"></span>
                     </a>
                     {/if}
                  </td>
               </tr>
               {else}
               <tr class="warning">
                  <td colspan="7">Sin resultados.</td>
               </tr>
               {/loop}
            </table>
         </div>
         <div class="modal fade" id="modal_recal_stock" tabindex="-1" role="dialog">
            <div class="modal-dialog" role="document">
               <div class="modal-content">
                  <div class="modal-header">
                     <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                     </button>
                     <h4 class="modal-title">Recalcular stock</h4>
                  </div>
                  <div class="modal-body">
                     <p class='help-block'>
                        Se recalculará el stock del artículo a partir de las
                        regularizaciones (de stock) y los albaranes y facturas de compra
                        y venta.
                     </p>
                     <p class='help-block'>
                        <b>Advertencia</b>: si el artículo no tiene ningún movimiento,
                        ni regularización, el stock resultante <b>será 0</b>.
                     </p>
                  </div>
                  <div class="modal-footer">
                     <a href="{$fsc->url()}&recalcular_stock=TRUE#stock" class="btn btn-sm btn-warning">
                        <span class="glyphicon glyphicon-wrench"></span>
                        &nbsp; Recalcular stock
                     </a>
                  </div>
               </div>
            </div>
         </div>
      </div>
      {/if}
      {if="$fsc->equivalentes"}
      <div role="tabpanel" class="tab-pane" id="equivalentes">
         <div class="table-responsive">
            <table class="table table-hover">
               <thead>
                  <tr>
                     <th class="text-left">Artículo</th>
                     <th class="text-right">Precio</th>
                     <th class="text-right">Precio+{#FS_IVA#}</th>
                     <th class="text-right">Stock</th>
                  </tr>
               </thead>
               {loop="$fsc->equivalentes"}
               <tr class="clickableRow" href="{$value->url()}">
                  <td>
                     <a href="{$value->url()}">{$value->referencia}</a>
                     {$value->descripcion}
                  </td>
                  <td class="text-right">{$fsc->show_precio($value->pvp)}</td>
                  <td class="text-right">{$fsc->show_precio($value->pvp_iva())}</td>
                  <td class="text-right">{$value->stockfis}</td>
               </tr>
               {else}
               <tr class="warning">
                  <td colspan="3">Sin resultados.</td>
               </tr>
               {/loop}
            </table>
         </div>
      </div>
      {/if}
      {loop="$fsc->extensions"}
         {if="$value->type=='tab'"}
         <div role="tabpanel" class="tab-pane" id="ext_{$value->name}">
            <iframe src="index.php?page={$value->from}{$value->params}&ref={function="urlencode($fsc->articulo->referencia)"}" width="100%" height="2000" frameborder="0">
            </iframe>
         </div>
         {/if}
      {/loop}
   </div>
</div>

<form action="{$fsc->url()}" enctype="multipart/form-data" method="post" class="form">
   <input type="hidden" name="referencia" value="{$fsc->articulo->referencia}"/>
   <input type="hidden" name="imagen" value="TRUE"/>
   <div class="modal fade" id="modal_articulo_imagen">
      <div class="modal-dialog">
         <div class="modal-content">
            <div class="modal-header">
               <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
               <h4 class="modal-title">
                  <span class="glyphicon glyphicon-picture"></span> &nbsp; Imagen
               </h4>
            </div>
            <div class="modal-body">
               {if="$fsc->articulo->imagen_url()"}
               <div class="thumbnail">
                  <img src="{$fsc->articulo->imagen_url()}" alt="{$fsc->articulo->referencia}"/>
                  <div class="caption">
                     <p>Esta imagen está guardada en {$fsc->articulo->imagen_url()}</p>
                  </div>
               </div>
               {else}
               <div class="form-group">
                  <input type="file" name="fimagen" accept="image/jpeg, image/png"/>
               </div>
               {/if}
            </div>
            <div class="modal-footer">
               {if="$fsc->articulo->imagen_url()"}
               <a class="btn btn-sm btn-danger" href="{$fsc->url()}&delete_img=TRUE">
                  <span class="glyphicon glyphicon-trash"></span> &nbsp; Eliminar
               </a>
               {else}
               <button class="btn btn-sm btn-primary" type="submit" onclick="this.disabled=true;this.form.submit();">
                  <span class="glyphicon glyphicon-floppy-disk"></span> &nbsp; Guardar
               </button>
               {/if}
            </div>
         </div>
      </div>
   </div>
</form>
{else}
<div class="thumbnail">
   <img src="view/img/fuuu_face.png" alt="fuuuuu"/>
</div>
{/if}

{include="footer"}
